org.apache.commons.math

## Class MaxIterationsExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.ConvergenceException
        - - org.apache.commons.math.MaxIterationsExceededException

- All Implemented Interfaces:
    Serializable, MathThrowable

      public class MaxIterationsExceededException
      extends ConvergenceException

  Error thrown when a numerical computation exceeds its allowed number of iterations.
  Since:
    1.2
  Version:
    $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `maxIterations` Maximal number of iterations allowed.
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxIterationsExceededException(int maxIterations)` Constructs an exception with a default detail message.
    `MaxIterationsExceededException(int maxIterations, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
    `MaxIterationsExceededException(int maxIterations, String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MaxIterationsExceededException(int, Localizable, Object...)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxIterations()` Get the maximal number of iterations allowed.

    - ### Methods inherited from class org.apache.commons.math.MathException

      `getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

    - #### maxIterations

          private final int maxIterations

      Maximal number of iterations allowed.

  - ### Constructor Detail

    - #### MaxIterationsExceededException

          public MaxIterationsExceededException(int maxIterations)

      Constructs an exception with a default detail message.
      Parameters:
        `maxIterations` - maximal number of iterations allowed

    - #### MaxIterationsExceededException

          @Deprecated
          public MaxIterationsExceededException(int maxIterations,
                                                   String pattern,
                                                   Object... arguments)

      Deprecated. as of 2.2 replaced by `MaxIterationsExceededException(int, Localizable, Object...)`
      Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `maxIterations` - the exceeded maximal number of iterations
        `pattern` - format specifier
        `arguments` - format arguments

    - #### MaxIterationsExceededException

          public MaxIterationsExceededException(int maxIterations,
                                        Localizable pattern,
                                        Object... arguments)

      Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `maxIterations` - the exceeded maximal number of iterations
        `pattern` - format specifier
        `arguments` - format arguments
      Since:
        2.2

  - ### Method Detail

    - #### getMaxIterations

          public int getMaxIterations()

      Get the maximal number of iterations allowed.
      Returns:
        maximal number of iterations allowed

Copyright (c) 2003-2013 Apache Software Foundation